enum types {
	FLASH,
	EEPROM,
	FUSES
};

char type_names[][8]={
	"Flash",
	"EEPROM",
	"Fuses"};

char type_short[][8]={
	"flash",
	"eeprom",
	"fuses"};

enum operations{
	READ,
	WRITE,
	VERIFY,
};

char op_names[][12]={
	"read",
	"write",
	"verify"};

typedef struct {
	char name[20];
	struct {
		int defaultvalue;
		int mode;	/* normal/expert */
		char name[20];
		char desc[250];
		Fl_Check_Button *btn;
		Fl_Box *box;
	} fuseBit[8];
	int defaultvalue;
	Fl_Input *input;
} fuseByte;

typedef struct rule{
	rule *next;
	int fuse;
	int bit;
	int value;
} rule;

typedef struct option{
	struct option *next;
	char name[50];
	rule *first_rule;
} option;

typedef struct group{
	struct group *next;
	char name[50];
	Fl_Choice *drop;
	option *first_option;
} group;

typedef struct shortnam{
	shortnam *next;
	char name[20];
} shortnam;
